VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Tray Icon Sample"
   ClientHeight    =   3195
   ClientLeft      =   165
   ClientTop       =   450
   ClientWidth     =   5580
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   5580
   StartUpPosition =   2  'CenterScreen
   Begin Project1.TrayControl TrayControl1 
      Left            =   4950
      Top             =   2610
      _ExtentX        =   847
      _ExtentY        =   847
      ToolTipText     =   "You set this text using the TrayControl ToolTipText property"
      Enabled         =   0   'False
   End
   Begin VB.Label Label4 
      Caption         =   "Refer to code in this form to see how you can implement this funnctionality in your own applications."
      Height          =   465
      Left            =   120
      TabIndex        =   3
      Top             =   1965
      Width           =   5310
   End
   Begin VB.Label Label3 
      Caption         =   $"Form1.frx":0442
      Height          =   525
      Left            =   120
      TabIndex        =   2
      Top             =   1455
      Width           =   5310
   End
   Begin VB.Label Label2 
      Caption         =   $"Form1.frx":04D5
      Height          =   675
      Left            =   120
      TabIndex        =   1
      Top             =   720
      Width           =   5310
   End
   Begin VB.Label Label1 
      Caption         =   $"Form1.frx":05A1
      Height          =   450
      Left            =   120
      TabIndex        =   0
      Top             =   180
      Width           =   5310
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFExit 
         Caption         =   "E&xit"
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim mbCloseApp As Boolean 'Used to over-ride the 'minimize to tray' bahaviour
Dim mlWindowState As Long 'Remember the previous window state when form is minimized

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)

    'Only close the app if the user has selected exit. This provides
    'the 'minimize to tray' behaviour
    If Not mbCloseApp Then
        Cancel = True
        Me.Hide
        TrayControl1.Enabled = True 'minimize to tray
    End If

End Sub

Private Sub Form_Resize()

    'Hide this form if minimized. This provides
    'the 'minimize to tray' behaviour
    
    If Me.WindowState = vbMinimized Then
        Me.Hide
        TrayControl1.Enabled = True
    Else
        'remember the new window state
        mlWindowState = Me.WindowState
    End If
    
End Sub

Private Sub mnuFExit_Click()
    mbCloseApp = True
    Unload Me
End Sub

Private Sub TrayControl1_DblClick()
    
    TrayControl1.Enabled = False 'remove tray icon
    If Me.WindowState = vbMinimized Then
        Me.WindowState = mlWindowState
    End If
    Me.Show

End Sub

Private Sub TrayControl1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = vbRightButton Then
        PopupMenu mnuFile
    End If
End Sub
